commit 74498e176f616cce409b1b95d7f8d6d61f312f64
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Mar 31 21:26:00 2012 +0200

    Remove function-based generic views - WIP

diff --git a/tests/regressiontests/special_headers/tests.py b/tests/regressiontests/special_headers/tests.py
index 4de518c..087bfe9 100644
--- a/tests/regressiontests/special_headers/tests.py
+++ b/tests/regressiontests/special_headers/tests.py
@@ -1,5 +1,3 @@
-import warnings
-
 from django.contrib.auth.models import User
 from django.test import TestCase
 
@@ -8,14 +6,6 @@ class SpecialHeadersTest(TestCase):
     fixtures = ['data.xml']
     urls = 'regressiontests.special_headers.urls'
 
-    def setUp(self):
-        self.save_warnings_state()
-        warnings.filterwarnings('ignore', category=DeprecationWarning,
-                                module='django.views.generic.list_detail')
-
-    def tearDown(self):
-        self.restore_warnings_state()
-
     def test_xheaders(self):
         user = User.objects.get(username='super')
         response = self.client.get('/special_headers/article/1/')
diff --git a/tests/regressiontests/special_headers/urls.py b/tests/regressiontests/special_headers/urls.py
index 2e6a305..f7ba141 100644
--- a/tests/regressiontests/special_headers/urls.py
+++ b/tests/regressiontests/special_headers/urls.py
@@ -2,13 +2,12 @@
 from __future__ import absolute_import
 
 from django.conf.urls import patterns
-from django.views.generic.list_detail import object_detail
 
 from . import views
 from .models import Article
 
 urlpatterns = patterns('',
-    (r'^special_headers/article/(?P<object_id>\d+)/$', object_detail, {'queryset': Article.objects.all()}),
+    (r'^special_headers/article/(?P<object_id>\d+)/$', views.xview_xheaders),
     (r'^special_headers/xview/func/$', views.xview_dec(views.xview)),
     (r'^special_headers/xview/class/$', views.xview_dec(views.XViewClass.as_view())),
 )
diff --git a/tests/regressiontests/special_headers/views.py b/tests/regressiontests/special_headers/views.py
index ce94036..a8bbd65 100644
--- a/tests/regressiontests/special_headers/views.py
+++ b/tests/regressiontests/special_headers/views.py
@@ -1,14 +1,21 @@
-# -*- coding:utf-8 -*-
+from django.core.xheaders import populate_xheaders
 from django.http import HttpResponse
 from django.utils.decorators import decorator_from_middleware
 from django.views.generic import View
 from django.middleware.doc import XViewMiddleware
 
+from .models import Article
+
 xview_dec = decorator_from_middleware(XViewMiddleware)
 
 def xview(request):
     return HttpResponse()
 
+def xview_xheaders(request, object_id):
+    response = HttpResponse()
+    populate_xheaders(request, response, Article, 1)
+    return response
+
 class XViewClass(View):
     def get(self, request):
         return HttpResponse()
diff --git a/tests/regressiontests/views/generic_urls.py b/tests/regressiontests/views/generic_urls.py
index 40a6c01..5bf929e 100644
--- a/tests/regressiontests/views/generic_urls.py
+++ b/tests/regressiontests/views/generic_urls.py
@@ -2,6 +2,7 @@
 from __future__ import absolute_import
 
 from django.conf.urls import patterns, url
+from django.views.generic import RedirectView
 
 from . import views
 from .models import Article, DateArticle, UrlArticle
@@ -35,65 +36,12 @@ urlpatterns = patterns('',
     url(u'^中文/target/$', 'regressiontests.views.views.index_page'),
 )
 
-# Date-based generic views.
-urlpatterns += patterns('django.views.generic.date_based',
-    (r'^date_based/object_detail/(?P<year>\d{4})/(?P<month>\d{1,2})/(?P<day>\d{1,2})/(?P<slug>[-\w]+)/$',
-        'object_detail',
-        dict(slug_field='slug', **date_based_info_dict)),
-    (r'^date_based/object_detail/(?P<year>\d{4})/(?P<month>\d{1,2})/(?P<day>\d{1,2})/(?P<slug>[-\w]+)/allow_future/$',
-        'object_detail',
-        dict(allow_future=True, slug_field='slug', **date_based_info_dict)),
-    (r'^date_based/archive_day/(?P<year>\d{4})/(?P<month>\d{1,2})/(?P<day>\d{1,2})/$',
-        'archive_day',
-        numeric_days_info_dict),
-    (r'^date_based/archive_month/(?P<year>\d{4})/(?P<month>\d{1,2})/$',
-        'archive_month',
-        date_based_info_dict),
-    (r'^date_based/datefield/archive_month/(?P<year>\d{4})/(?P<month>\d{1,2})/$',
-        'archive_month',
-        date_based_datefield_info_dict),
-)
-
-# crud generic views.
-urlpatterns += patterns('django.views.generic.create_update',
-    (r'^create_update/member/create/article/$', 'create_object',
-        dict(login_required=True, model=Article)),
-    (r'^create_update/create/article/$', 'create_object',
-        dict(post_save_redirect='/create_update/view/article/%(slug)s/',
-             model=Article)),
-    (r'^create_update/update/article/(?P<slug>[-\w]+)/$', 'update_object',
-        dict(post_save_redirect='/create_update/view/article/%(slug)s/',
-             slug_field='slug', model=Article)),
-    (r'^create_update/create_custom/article/$', views.custom_create),
-    (r'^create_update/delete/article/(?P<slug>[-\w]+)/$', 'delete_object',
-        dict(post_delete_redirect='/create_update/', slug_field='slug',
-             model=Article)),
-
-    # No post_save_redirect and no get_absolute_url on model.
-    (r'^create_update/no_redirect/create/article/$', 'create_object',
-        dict(model=Article)),
-    (r'^create_update/no_redirect/update/article/(?P<slug>[-\w]+)/$',
-        'update_object', dict(slug_field='slug', model=Article)),
-
-    # get_absolute_url on model, but no passed post_save_redirect.
-    (r'^create_update/no_url/create/article/$', 'create_object',
-        dict(model=UrlArticle)),
-    (r'^create_update/no_url/update/article/(?P<slug>[-\w]+)/$',
-        'update_object', dict(slug_field='slug', model=UrlArticle)),
-)
-
-urlpatterns += patterns('django.views.generic.list_detail',
-    (r'^object_list/page(?P<page>[\w]*)/$', 'object_list', object_list_dict),
-    (r'^object_list_no_paginate_by/page(?P<page>[0-9]+)/$', 'object_list',
-     object_list_no_paginate_by),
-)
-
 # rediriects, both temporary and permanent, with non-ASCII targets
-urlpatterns += patterns('django.views.generic.simple',
-    ('^nonascii_redirect/$', 'redirect_to',
-        {'url': u'/中文/target/', 'permanent': False}),
-    ('^permanent_nonascii_redirect/$', 'redirect_to',
-        {'url': u'/中文/target/', 'permanent': True}),
+urlpatterns += patterns('',
+    ('^nonascii_redirect/$', RedirectView.as_view(
+        url=u'/中文/target/', permanent=False)),
+    ('^permanent_nonascii_redirect/$', RedirectView.as_view(
+        url=u'/中文/target/', permanent=True)),
 )
 
 urlpatterns += patterns('regressiontests.views.views',
@@ -107,13 +55,3 @@ urlpatterns += patterns('regressiontests.views.views',
     (r'^shortcuts/render/current_app/$', 'render_view_with_current_app'),
     (r'^shortcuts/render/current_app_conflict/$', 'render_view_with_current_app_conflict'),
 )
-
-# simple generic views.
-urlpatterns += patterns('django.views.generic.simple',
-    (r'^simple/redirect_to/$', 'redirect_to', dict(url='/simple/target/')),
-    (r'^simple/redirect_to_temp/$', 'redirect_to', dict(url='/simple/target/', permanent=False)),
-    (r'^simple/redirect_to_none/$', 'redirect_to', dict(url=None)),
-    (r'^simple/redirect_to_arg/(?P<id>\d+)/$', 'redirect_to', dict(url='/simple/target_arg/%(id)s/')),
-    (r'^simple/redirect_to_query/$', 'redirect_to', dict(url='/simple/target/', query_string=True)),
-    (r'^simple/redirect_to_arg_and_query/(?P<id>\d+)/$', 'redirect_to', dict(url='/simple/target_arg/%(id)s/', query_string=True)),
-)
diff --git a/tests/regressiontests/views/tests/__init__.py b/tests/regressiontests/views/tests/__init__.py
index 04537a2..63db5da 100644
--- a/tests/regressiontests/views/tests/__init__.py
+++ b/tests/regressiontests/views/tests/__init__.py
@@ -4,11 +4,6 @@ from .debug import (DebugViewTests, ExceptionReporterTests,
     ExceptionReporterTests, PlainTextReportTests, ExceptionReporterFilterTests,
     AjaxResponseExceptionReporterFilter)
 from .defaults import DefaultsTests
-from .generic.create_update import (UpdateDeleteObjectTest, CreateObjectTest,
-    PostSaveRedirectTests, NoPostSaveNoAbsoluteUrl, AbsoluteUrlNoPostSave)
-from .generic.date_based import MonthArchiveTest, ObjectDetailTest, DayArchiveTests
-from .generic.object_list import ObjectListTest
-from .generic.simple import RedirectToTest
 from .i18n import JsI18NTests, I18NTests, JsI18NTestsMultiPackage
 from .shortcuts import ShortcutTests
 from .specials import URLHandling
diff --git a/tests/regressiontests/views/tests/shortcuts.py b/tests/regressiontests/views/tests/shortcuts.py
index 24bf6bb..d74ae9d 100644
--- a/tests/regressiontests/views/tests/shortcuts.py
+++ b/tests/regressiontests/views/tests/shortcuts.py
@@ -1,5 +1,3 @@
-import warnings
-
 from django.conf import settings
 from django.test import TestCase
 
@@ -7,10 +5,6 @@ class ShortcutTests(TestCase):
     urls = 'regressiontests.views.generic_urls'
 
     def setUp(self):
-        self.save_warnings_state()
-        warnings.filterwarnings('ignore', category=DeprecationWarning,
-                                module='django.views.generic.simple')
-
         self.old_STATIC_URL = settings.STATIC_URL
         self.old_TEMPLATE_CONTEXT_PROCESSORS = settings.TEMPLATE_CONTEXT_PROCESSORS
 
@@ -20,9 +14,6 @@ class ShortcutTests(TestCase):
         )
 
     def tearDown(self):
-        self.restore_warnings_state()
-
-    def tearDown(self):
         settings.STATIC_URL = self.old_STATIC_URL
         settings.TEMPLATE_CONTEXT_PROCESSORS = self.old_TEMPLATE_CONTEXT_PROCESSORS
 
diff --git a/tests/regressiontests/views/tests/specials.py b/tests/regressiontests/views/tests/specials.py
index 7855704..cd8ac5b 100644
--- a/tests/regressiontests/views/tests/specials.py
+++ b/tests/regressiontests/views/tests/specials.py
@@ -1,6 +1,4 @@
 # coding: utf-8
-import warnings 
-
 from django.test import TestCase
 
 
@@ -11,14 +9,6 @@ class URLHandling(TestCase):
     urls = 'regressiontests.views.generic_urls'
     redirect_target = "/%E4%B8%AD%E6%96%87/target/"
 
-    def setUp(self):
-        self.save_warnings_state()
-        warnings.filterwarnings('ignore', category=DeprecationWarning,
-                                module='django.views.generic.simple')
-
-    def tearDown(self):
-        self.restore_warnings_state()
-
     def test_combining_redirect(self):
         """
         Tests that redirecting to an IRI, requiring encoding before we use it
diff --git a/tests/regressiontests/views/views.py b/tests/regressiontests/views/views.py
index 1d17e6e..8e530cd 100644
--- a/tests/regressiontests/views/views.py
+++ b/tests/regressiontests/views/views.py
@@ -21,25 +21,6 @@ def index_page(request):
     """Dummy index page"""
     return HttpResponse('<html><body>Dummy page</body></html>')
 
-def custom_create(request):
-    """
-    Calls create_object generic view with a custom form class.
-    """
-    class SlugChangingArticleForm(forms.ModelForm):
-        """Custom form class to overwrite the slug."""
-
-        class Meta:
-            model = Article
-
-        def save(self, *args, **kwargs):
-            self.instance.slug = 'some-other-slug'
-            return super(SlugChangingArticleForm, self).save(*args, **kwargs)
-
-    from django.views.generic.create_update import create_object
-    return create_object(request,
-        post_save_redirect='/create_update/view/article/%(slug)s/',
-        form_class=SlugChangingArticleForm)
-
 def raises(request):
     # Make sure that a callable that raises an exception in the stack frame's
     # local vars won't hijack the technical 500 response. See:
